Bug 212211 - extremely slow performance; evolution appears to lock up when using connector
extremely slow performance; evolution appears to lock up when using connector
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 13:21 EDT by donavan nelson
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description donavan nelson 2006-10-25 13:21:33 EDT
Description of problem:

evolution appears to lock up when using connector, but if left sitting for a
lengthy time (31 minutes in my latest attempt) it finally indexes the mail box
on the exchange server.

Following the initial load it then takes between 30 seconds and 3 minutes to
just click on a subject and have the summary window populated.  My workstation
is a 2.8Ghz P4 1G of memory running a bare metal fresh install of FC6.

Version-Release number of selected component (if applicable):

$ rpm -qa evolution\*
evolution-2.8.0-7.fc6
evolution-webcal-2.7.1-6
evolution-connector-2.8.0-3.fc6
evolution-data-server-devel-1.8.0-11.fc6
evolution-data-server-1.8.0-11.fc6
evolution-sharp-0.11.1-10.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

terrible performance
Expected results:


Additional info:
Comment 1 Louis Lagendijk 2006-11-03 04:16:39 EST
(In reply to comment #0)
> Description of problem:
> 
> evolution appears to lock up when using connector, but if left sitting for a
> lengthy time (31 minutes in my latest attempt) it finally indexes the mail box
> on the exchange server.
> 
> Following the initial load it then takes between 30 seconds and 3 minutes to
> just click on a subject and have the summary window populated.  My workstation
> is a 2.8Ghz P4 1G of memory running a bare metal fresh install of FC6.
> 
I have the same problem. There is a lot of IP-traffic while the connector is
running (observed with tcpdump). Connector appears to be downloading a lot of
stuff from public folders
Comment 2 Louis Lagendijk 2006-11-06 16:59:16 EST
(In reply to comment #1)
> (In reply to comment #0)
> > Description of problem:
> > 
> > evolution appears to lock up when using connector, but if left sitting for a
> > lengthy time (31 minutes in my latest attempt) it finally indexes the mail box
> > on the exchange server.
This issue appears to be solved with evolution/connector  2.8.1-3. I have now
setup all accounts again, and evolution works fine with exchange again
Comment 3 Norman R. Weathers 2006-11-08 10:35:56 EST
I also am having trouble with evolution and evolution-connector.  My setup is an
x86_64 box (64 bit version FC6), and I am connecting to an Exchange server. 
What is weird is that if I try to change preferences, I get the lockup.  I
haven't tried to let it set for 30 minutes, but I know that after 2-3 minutes,
it does not appear to want to come back.  I am using the latest updates (as of
Nov 8, 2006).  I also am using the 32 bit version on another machine (also FC6),
and it appears to be a little bit better behaved, but it too on occassion just
locks up if I try to go into the preferences.

What else is weird is that I am trying to remove the original configuration for
my evolution setup, and I am assuming that the /home/<user>/.evolution directory
is the place where this information is kept, and I would think that if I deleted
this directory, I should get a clean evolution back.... No such luck.  Any
pointer to where I should go to clean up the evolution information so that I can
see if a clean evolution setup will work?

Thanks,

Norman Weathers
Comment 4 Matthew Barnes 2006-11-08 11:54:26 EST
Norman, to purge your account of all Evolution configuration, you also need to
open the Configuration Editor and delete everything under "/apps/evolution". 
Also delete ~/.gnome2_private/Evolution, which is where your passwords are stored.
Comment 5 Matthew Barnes 2007-10-04 23:55:50 EDT
The Evolution Exchange module is much faster in Evolution 2.12.  See this blog
entry about it:

http://blogs.gnome.org/sragavan/2007/06/28/exchange-folder-loading-480-seconds-to-microseconds/

Closing as RAWHIDE since this issue should be resolved in Fedora 8, but feel
free to re-open this if you still encounter performance problems.
Comment 6 Matěj Cepl 2007-12-10 16:48:20 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 7 Matěj Cepl 2008-01-15 09:38:44 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.